<?php use_helper('ModalBox', 'Validation'); ?>

<?php if (!$ajax): ?>
  <div id="selectFolder">
    <?php if (!blogStore::canPost($cat_id)): ?>
      <?php $err_msg = 'Thư mục không cho phép đưa bài, hãy nhấn "Chọn thư mục khác" và chọn một thư mục con' ?>
      <?php $sf_request->setError('category_post', $err_msg) ?>
      <?php echo input_hidden_tag('cat_error', $err_msg) ?>
      <?php echo form_error('category_post') ?>
    <?php endif ?>
    <?php echo input_hidden_tag('cat_id', $cat_id) ?>
    <?php echo 'Đưa vào thư mục: '.blogStore::getCategoryPath($cat_id) ?>
    &nbsp;&nbsp;&nbsp;&nbsp;
    <?php echo m_link_to('&nbsp;Chọn thư mục khác...&nbsp;',
      '/entry/selectfolder?ajax=1&cat_id='.$cat_id,
      array('title'=>'Chọn thư mục khác', 'style'=>'color:0;background-color:#CCCCCC' )) ?>
    <?php echo '<br><br>' ?>
  </div>
<?php else: ?>
  <?php $filter = '/'.$catItem->type.'/' ?>
  <h2>Chọn thư mục</h2>
  <div style="height:300px;overflow:auto;">
    <div id="smpltree_box"></div>
  </div>
  <center>
    <h3>
      <a href="#" onclick="var id = selecttree.getSelectedItemId();
          if (id==undefined) {
            alert('Bạn phải chọn thư mục mới');
            return false;
          }
          id = id.match(/([0-9]+)/gi)+'';
          if ($('selectFolder') != undefined)
          new Ajax.Updater('selectFolder',
            '<?php echo url_for('/entry/selectfolder') ?>/cat_id/'+id,
            {asynchronous:true, evalScripts:true});
          try {updateComponentsBelongToCategory(id)} catch (err) {};
          Modalbox.hide();
          return false;">Chọn thư mục</a> | <a href="#" onclick="Modalbox.hide(); return false;">Đóng</a>
    </h3>
  </center>
  <?php $sf_context->getResponse()->addJavascriptCommand('
selecttree=new dhtmlXTreeObject("smpltree_box","100%","auto",0);
selecttree.setImagePath("/plugins/dhtmlx/images/");
selecttree.loadXMLString("'.blogStore::$catTree->getTree(null, $filter).'");
selecttree.selectItem("tr'.$cat_id.'", false);
selecttree.openItem("tr'.$cat_id.'");
') ?>
<?php endif ?>